Draft Maß

From FreeCAD Documentation
This page is a translated version of the page Draft Dimension and the translation is 77% complete.
Outdated translations are marked like this.

Draft Maß

Menüeintrag
Anmerkung → Abmessung
Arbeitsbereich
Draft, Arch
Standardtastenkürzel
D I
Eingeführt in Version
0.8
Siehe auch
Draft MaßKippen

Beschreibung

Der Befehl Draft Maß erstellt ein lineares Maß, einRadiales Maß oder ein Winkelmaß.

Lineare Maße auf Basis von Kanten und radiale Maße sind parametrisch. Das heißt, dass sie aktualisiert werden, wenn die bemaßte Kante verändert wird. Die bemaßten Kanten können zu Draft-Objekten gehören oder zu Volumenkörpern. Winkelmaße sind nicht parametrisch.

Draft-Maße können auf einem TechDraw-Zeichnungsblatt in einer TechDraw DraftAnsicht oder TechDraw ArchAnsicht angezeigt werden. Alternativ bietet der Arbeitsbereich TechDraw eigene Bemaßungsbefehle, aber die erstellen Maße, die nur auf dem Zeichnungsblatt dargestellt werden und nicht in der 3D-Ansicht.

Durch drei Punkte definiertes lineares Maß (Längenmaß)

Anwendung

Siehe auch: Draft Fach, Draft Fangen und Draft Beschränken.

Lineares Maß

  1. Wahlweise eine gerade Kante in der 3D-Ansicht auswählen.
  2. Es gibt mehrere Möglichkeiten den Befehl aufzurufen:
    • Die Schaltfläche Abmessung drücken.
    • Den Menüeintrag Anmerkung → Abmessung auswählen.
    • Das Tastaturkürzel D dann I.
  3. Der Aufgabenbereich Dimension wird geöffnet. Siehe Optionen für mehr Informationen.
  4. Wenn bisher noch keine Kante ausgewählt wurde, wählt man eine der folgenden Möglichkeiten:
    • E oder die Schaltfläche Kante auswählen drücken und eine gerade Kante in der 3D-Ansicht auswählen.
    • Die Alt-Taste drücken und halten, eine gerade Kante in der 3D-Ansicht auswählen und die Alt-Taste loslassen.
    • Den zu messenden Abstand festlegen durch Auswahl von Punkten:
      • Den ersten Punkt in der 3D-Ansicht auswählen oder Koordinaten eingeben und die Schaltfläche Punkt eingeben drücken.
      • Den zweiten Punkt in der 3D-Ansicht auswählen oder Koordinaten eingeben und die Schaltfläche Punkt eingeben drücken.
  5. Zum Positionieren der Maßlinie hat man folgende Möglichkeiten:
    • Für ein ausgerichtetes Maß:
      • Einen Punkt in der 3D-Ansicht auswählen oder Koordinaten eingeben und die Schaltfläche Punkt eingeben drücken.
    • Für ein horizontales Maß:
      • Den Mauszeiger über oder unter die Kante oder die Punkte bewegen.
      • Die Shift-Taste dücken und halten, den Mauszeiger bewegen und einen Punkt in der 3D-Ansicht auswählen.
    • Für ein vertikales Maß:
      • Den Mauszeiger links oder rechts neben die Kante oder die Punkte bewegen.
      • Die Shift-Taste dücken und halten, den Mauszeiger bewegen und einen Punkt in der 3D-Ansicht auswählen.

Radiales Maß

  1. Wahlweise eine kreisförmige Kante in der 3D-Ansicht auswählen.
  2. Es gibt mehrere Möglichkeiten den Befehl aufzurufen:
    • Die Schaltfläche Draft Dimension drücken.
    • Den Menüeintrag Anmerkung → Abmessung auswählen.
    • Das Tastaturkürzel D dann I.
  3. Der Aufgabenbereich Dimension wird geöffnet. Siehe Optionen für mehr Informationen.
  4. Wenn bisher noch keine Kante ausgewählt wurde, wählt man eine der folgenden Möglichkeiten:
    • E oder die Schaltfläche Kante auswählen drücken und eine kreisförmige Kante in der 3D-Ansicht auswählen.
    • Die Alt-Taste drücken und halten, eine kreisförmige Kante in der 3D-Ansicht auswählen unddie Alt-Taste loslassen.
  5. Zum Positionieren der Maßlinie hat man folgende Möglichkeiten:
    • Für ein Durchmessermaß:
      • Einen Punkt in der 3D-Ansicht auswählen, oder die Koordinaten eingeben und die Schaltfläche Punkt eingeben drücken.
    • Für ein radiales Maß:
      • Die Shift-Tast drücken und halten und einen Punkt in der 3D-Ansicht.

Winkelmaß

  1. Es gibt mehrere Möglichkeiten den Befehl aufzurufen:
    • Die Schaltfläche Draft Dimension drücken.
    • Den Menüeintrag Anmerkung → Abmessung auswählen.
    • Das Tastaturkürzel D dann I.
  2. Der Aufgabenbereich Dimension wird geöffnet. Siehe Optionen für mehr Informationen.
  3. Eine der folgenden Möglichkeiten auswählen:
    • E oder die Schaltfläche Kante auswählen drücken und eine erste gerade Kante in der 3D-Ansicht auswählen. Diesen Schritt zur Auswahl einer zweiten geraden Kante wiederholen.
    • Die Alt-Taste drücken und halten, zwei gerade Kanten in der 3D-Ansicht auswählen und die Alt-Taste loslassen.
  4. Zum Positionieren der Maßlinie einen Punkt in der 3D-Ansicht auswählen.
  5. Der angezeigte Winkel hängt von den Kanten und dem ausgewählten Punkt ab.

Optionen

Die im Aufgaben-Bereich vorhandenen Einzelzeichen-Tastaturkürzel können geändert werden. Siehe Draft Einstellungen. Die hier genannten Tastaturkürzel sind die voreingestellten Tastaturkürzel (für Version 0.22).

  • Zum manuellen Eingeben von Koordinaten, werden die X-, Y- und Z-Komponenten jeweils mit abschließendem Enter eingegeben. Oder man drückt die Schaltfläche Punkt eingeben, sobald alle gewünschten Werte eingegeben sind. Es ist ratsam, den Mauszeiger aus der 3D-Ansicht heraus zu bewegen, bevor Koordinaten eingegeben werden.
  • R drücken oder die Checkbox Relativ aktivieren, um den Relativ-Modus umzuschalten. Ist der Relativ-Modus aktiviert, beziehen sich Koordinaten auf den letzten Punkt, falls vorhanden, andernfalls beziehen sie sich auf den Ursprung des Koordinatensystems.
  • G drücken oder die Checkbox Global aktivieren, um den Global-Modus umzuschalten. Ist der Global-Modus aktiviert, beziehen sich Koordinaten auf das globale Koordinatensystem, andernfalls beziehen sie sich auf das Koordinatensystem der Arbeitsebene. eingeführt mit Version 0.20
  • N drücken oder die Checkbox Fortsetzen aktivieren, um den Fortsetzen-Modus umzuschalten. Ist der Fortsetzen-Modus aktiviert, wird der Befehl nach dem Beenden erneut gestartet und ermöglicht so mit dem Erstellen von Maßen fortzufahren. Alle folgenden Maße starten am Endpunkt des vorhergehenden Maßes und verwenden dieselbe Grundlinie wie das erste Maß. Man beachte, dass die Auswahl von Kanten bei aufeinanderfolgenden Maßen nicht möglicht ist.
  • S drücken, um Draft Einrasten ein- bzw. auszuschalten.
  • Esc oder die Schaltfläche Schließen drücken, um den Befehl fertigzustellen.

Hinweise

Eigenschaften

Siehe auch: Eigenschafteneditor.

Ein Draft Dimension-Objekt ist von einem App FeaturePython-Objekt abgeleitet und erbt alle seine Eigenschaften. Die folgenden sind, wenn nicht anders angegeben, zusätzliche Eigenschaften:

Data linear and radial dimension

Dimension

  • DatenDimline (VectorDistance): specifies the point through which the dimension line passes.
  • DatenLinked Geometry (LinkSubList): specifies the object and its subelement(s) the dimension is linked to.
  • DatenNormal (Vector): specifies the normal of the plane of the text.
  • Daten (hidden)Support (Link): specifies the measured object.

Linear/radial dimension

  • DatenDirection (Vector): specifies the direction of the measurement.
  • DatenDistance (Length): (read-only) specifies the value of the measurement.
  • DatenEnd (VectorDistance): specifies the end point of the measurement.
  • DatenStart (VectorDistance): specifies the start point of the measurement.

Radial dimension

  • DatenDiameter (Bool): specifies if a radial dimension is displayed as a diameter dimension. Not used for linear dimensions.

Data angular dimension

Angular dimension

  • DatenAngle (Angle): (read-only) specifies the value of the measurement.
  • DatenCenter (VectorDistance): specifies the center of the measurement.
  • DatenFirst Angle (Angle): specifies the start angle of the measurement.
  • DatenLast Angle (Angle): specifies the end angle of the measurement.

Dimension

  • DatenDimline (VectorDistance): specifies the point through which the dimension arc passes.
  • Daten (hidden)Linked Geometry (LinkSubList): not used.
  • Daten (hidden)Normal (Vector): specifies the normal of the plane of the dimension.
  • Daten (hidden)Support (Link): not used.

Ansicht

Annotation

  • AnsichtAnnotation Style (Enumeration): specifies the annotation style applied to the dimension. See Draft AnnotationStyleEditor.
  • AnsichtScale Multiplier (Float): specifies the general scaling factor applied to the dimension.

Display Options

  • Ansicht-EigenschaftDisplay Mode (Enumeration): Gibt an, wie der Text angezeigt wird. Ist es World, wird der Text auf einer Ebene angezeigt, die durch die Daten-EigenschaftNormal des Maßes festgelegt wird. Ist es Screen, wird der Text immer in Richtung Bildschirm angezeigt. Dies ist eine übernommene Eigenschaft. Die genannten Optionen sind die umbenannten Optionen (eingeführt mit Version 0.21).

Graphics

  • AnsichtArrow Size (Length): specifies the size of the symbols displayed at the ends of the dimension line or arc.
  • AnsichtArrow Type (Enumeration): specifies the type of symbol displayed at the ends of the dimension line or arc, which can be Dot, Circle, Arrow, Tick or Tick-2.
  • AnsichtDim Overshoot (Distance): specifies the additional length added to the dimension line. Not used for angular dimensions.
  • AnsichtExt Lines (Distance): specifies the length of the extension lines that go from the dimension line to the measured points. Use 0 for full extension lines. A negative value defines the gap between the ends of the extension lines and the measured points. A positive value defines the maximum length of the extension lines. Only used for linear dimensions.
  • AnsichtExt Overshoot (Distance): specifies the additional length of the extension lines beyond the dimension line. Not used for angular dimensions.
  • AnsichtFlip Arrows (Bool): specifies whether to flip the orientation of the symbols at the ends of the dimension line or arc. Only works if the symbols are arrows.
  • AnsichtLine Color (Color): specifies the color of the dimension line or arc, and the arrows.
  • AnsichtLine Width (Float): specifies the width of the lines or arc belonging to the dimension.
  • AnsichtShow Line (Bool): specifies whether to display the dimension line. Does not affect the display of extension lines and overshoots. Not used for angular dimensions.

Text

  • AnsichtFlip Text (Bool): specifies whether to flip the orientation of the text.
  • AnsichtFont Name (Font): specifies the font used to draw the text. It can be a font name, such as Arial, a default style such as sans, serif or mono, a family such as Arial,Helvetica,sans, or a name with a style such as Arial:Bold. If the given font is not found on the system, a default font is used instead.
  • AnsichtFont Size (Length): specifies the size of the letters. The text can be invisible in the 3D view if this value is very small.
  • AnsichtOverride (String): specifies a custom text to display instead of the actual measurement. Use the string $dim inside the text to include the measurement.
  • AnsichtText Color (Color): specifies the color of the text. introduced in version 0.21
  • AnsichtText Position (VectorDistance): specifies the position of the text in absolute coordinates. [0, 0, 0] will display the text in its default position near the dimension line or arc.
  • AnsichtText Spacing (Length): specifies the space between the text and the dimension line or arc.

Units

  • AnsichtDecimals (Integer): specifies the number of decimal places to display for the measurement.
  • AnsichtShow Unit (Bool): specifies whether to display the unit next to the numerical value of the measurement. Not used for angular dimensions.
  • AnsichtUnit Override (String): specifies the unit in which to express the measurement, for example, km, m, cm, mm, mi, ft, in or arch for arch units. Leave this blank to use the default unit. Not used for angular dimensions.

Skripten

Siehe auch: Autogenerated API documentation und FreeCAD Grundlagen Skripten.

Zum Erstellen eines Draft-Maßes wird die Methode make_dimension des Draft-Moduls verwendet (introduced in version 0.19). Diese Methode ersetzt die veraltete Methode makeDimension.

dimension = make_dimension(p1, p2, p3=None, p4=None)

Es gibt mehrere Möglichkeiten,diese Methode aufzurufen, abhängig von den an sie übergebenen Argumenten.

dimension = make_dimension(p1, p2, p3=None)
dimension = make_dimension(object, i1, i2, p4=None)
dimension = make_dimension(object, i1, mode, p4=None)
  • Erstellt ein lineares Maß (dimension-Objekt), indem es den Abstand zwischen den Punkten p1 und p2 misst.
  • Erstellt ein lineares Maß (dimension-Objekt), verknüpft mit dem Objekt object, das den Abstand zwischen seinen Knotenpunkten mit den Indizes i1 und i2 misst.
  • Erstellt ein Bogenmaß (dimension-Objekt), verknüpft mit dem Objekt object, wobei i1 der Index der gekrümmten Kante ist, die gemessen wird und mode die Art des Maßes festlegt, entweder "radius" (Radienmaß) oder "diameter" (Durchmessermaß).
    • p3 im ersten Aufruf und p4 in den anderen beiden geben einen optionalenPunkt an, durch den die Maßlinie verlaufen soll.
    • Alle Punkte werden durch FreeCAD.Vector, ihren Ortsvektor festgelegt.

Zum Erstellen eines Winkelmaßes wird die folgende Methode verwendet:

dimension = make_angular_dimension(center, angles, p3, normal=None)
dimension = make_angular_dimension(center, [angle1, angle2], p3, normal=None)
  • Erstellt ein Winkelmaß (angular dimension) aus center, dem gegebenen Mittelpunkt, angles, einer Liste mit zwei Elementen, und Punkt p3, durch den der Bogen verlaufen soll.
    • Wenn angle1 > angle2 ist, wird der angezeigte Winkel aus der Differenz angle1 - angle2 ermittelt; anderenfalls wird der entgegengesetzte Winkel 360 - (angle2 - angle1) angezeigt.
    • Die Winkel sollten in Grad eingegeben werden.

The view properties of dimension can be changed by overwriting its attributes; for example, overwrite ViewObject.FontSize with the new size in millimeters.

Beispiel:

import FreeCAD as App
import Draft

doc = App.newDocument()

p1 = App.Vector(0, 0, 0)
p2 = App.Vector(1000, 1000, 0)
p3 = App.Vector(-2500, 0, 0)
dimension1 = Draft.make_dimension(p1, p2, p3)
dimension1.ViewObject.FontSize = 200

polygon = Draft.make_polygon(3, radius=1000)
doc.recompute()

p4 = App.Vector(-2000, 1500, 0)
dimension2 = Draft.make_dimension(polygon, 1, 2, p4)
dimension2.ViewObject.FontSize = 200

center = App.Vector(2000, 0, 0)
p5 = App.Vector(3000, 1000, 0)
angle1 = 45
angle2 = 10
dimension3 = Draft.make_angular_dimension(center, [angle1, angle2], p5)
dimension3.ViewObject.FontSize = 200

dimension4 = Draft.make_angular_dimension(center, [angle2, angle1], p5*1.2)
dimension4.ViewObject.FontSize = 200

doc.recompute()